From 98fd9368a0f788c21dec4d2ec3e66dad60aab8e5 Mon Sep 17 00:00:00 2001
From: grev <grev>
Date: Fri, 2 Nov 2007 20:20:36 +0000
Subject: [PATCH] b=13798 i=Nathan

remove tdir before opendirunlink
---
 lustre/tests/sanityN.sh | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/lustre/tests/sanityN.sh b/lustre/tests/sanityN.sh
index 8773ebebae..ef7d32d0ef 100644
--- a/lustre/tests/sanityN.sh
+++ b/lustre/tests/sanityN.sh
@@ -160,6 +160,9 @@ test_6() {
 run_test 6 "remove of open file on other node =================="
 
 test_7() {
+	# run_one creates uniq $tdir (bug 13798)
+	# opendirunlink failes if it exists
+	rmdir $DIR1/$tdir || true
 	opendirunlink $DIR1/$tdir $DIR2/$tdir || \
 		error "opendirunlink $DIR1/$tdir $DIR2/$tdir"
 }
-- 
GitLab